"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var SplitWidget = react_1.default.memo(function (_a) {
    var monotonous = _a.monotonous, oldElement = _a.oldElement, newElement = _a.newElement;
    if (monotonous) {
        return react_1.default.createElement(react_native_1.View, null, oldElement || newElement);
    }
    if (oldElement === newElement) {
        return react_1.default.createElement(react_native_1.View, null, oldElement);
    }
    return (react_1.default.createElement(react_native_1.View, null,
        react_1.default.createElement(react_native_1.View, null, oldElement),
        react_1.default.createElement(react_native_1.View, null, newElement)));
});
exports.default = SplitWidget;
//# sourceMappingURL=split_widget.js.map